#include <Wire.h>                               // Подключаем библиотеку Wire
#include "SparkFunCCS811.h"                     // Подключаем библиотеку SparkFunCCS811

#define CCS811_ADDR 0x5B                        // Указываем адрес устройства I2C, по умолчанию 0x5B, второй адрес устройства 0x5A
CCS811 mySensor(CCS811_ADDR);                   // Создаем объект

void setup()
{
  Serial.begin(115200);                         // Создаем последовательную связь
  Serial.println("CCS811 Basic Example");       // Отправка сообщения
  Wire.begin();                                 // Инициализация связь I2C

// Инициализация CCS811, в противном случаи печатаем сообщение об ошибки
  if (mySensor.begin() == false)
  {
    Serial.print("CCS811 error. Please check wiring. Freezing...");
    while (1);
  }
}

void loop()
{
  if (mySensor.dataAvailable())                 // Проверка, есть ли новые данные          
  {
    mySensor.readAlgorithmResults();            // Чтение данных с датчика
    Serial.print("CO2[");                       // Печать текста
    Serial.print(mySensor.getCO2());            // Отправка данных CO2
    Serial.print("] tVOC[");                    // Печать текста    
    Serial.print(mySensor.getTVOC());           // Отправка данных TVOC
    Serial.print("] millis[");                  // Печать текста     
    Serial.print(millis());                     // Отправка данных о времени запуска программы
    Serial.print("]");                          // Отправка текста
    Serial.println();                           // Новая строка
  }
  delay(10);                                    // Пауза 
}
